// CntrItem.h : interface of the CEditorCntrItem class
//

#pragma once

class CEditorDoc;
class CEditorView;

class CEditorCntrItem : public CRichEditCntrItem
{
	DECLARE_SERIAL(CEditorCntrItem)

// Constructors
public:
	CEditorCntrItem(REOBJECT* preo = NULL, CEditorDoc* pContainer = NULL);
		// Note: pContainer is allowed to be NULL to enable IMPLEMENT_SERIALIZE
		//  IMPLEMENT_SERIALIZE requires the class have a constructor with
		//  zero arguments.  Normally, OLE items are constructed with a
		//  non-NULL document pointer

// Attributes
public:
	CEditorDoc* GetDocument()
		{ return reinterpret_cast<CEditorDoc*>(CRichEditCntrItem::GetDocument()); }
	CEditorView* GetActiveView()
		{ return reinterpret_cast<CEditorView*>(CRichEditCntrItem::GetActiveView()); }

	public:
	protected:

// Implementation
public:
	~CEditorCntrItem();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

